## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCProcedureColumnLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCProcedureColumnLoader

public class JDBCProcedureColumnLoader
extends JDBCBaseLoader

Base loader implementation for loading a SP's parameter objects. This class may be specialized as necessary to meet a particular vendor's needs.

Since:
  1.0

Field Summary
`static java.lang.String` `COLUMN_COLUMN_NAME` The column name containing the column's name.
`static java.lang.String` `COLUMN_COLUMN_TYPE` The column name containing the column's type.
`static java.lang.String` `COLUMN_DATA_TYPE` The column name containing the column's data type.
`static java.lang.String` `COLUMN_LENGTH` The column name containing the column's length.
`static java.lang.String` `COLUMN_NULLABLE` The column name containing the column's nullable attribute.
`static java.lang.String` `COLUMN_PRECISION` The column name containing the column's precision.
`static java.lang.String` `COLUMN_REMARKS` The column name containing the column's remarks.
`static java.lang.String` `COLUMN_SCALE` The column name containing the column's scale.
`static java.lang.String` `COLUMN_TYPE_NAME` The column name containing the column's type name.

Constructor Summary
`JDBCProcedureColumnLoader(ICatalogObject catalogObject)` This constructs the loader using no filtering.
`JDBCProcedureColumnLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`void` `clearColumns(java.util.List columns)`
`java.util.List` `loadColumns()` Loads the "parameter" objects for the SP.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_COLUMN_NAME

    public static final java.lang.String COLUMN_COLUMN_NAME

  The column name containing the column's name.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_COLUMN_TYPE

    public static final java.lang.String COLUMN_COLUMN_TYPE

  The column name containing the column's type.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_DATA_TYPE

    public static final java.lang.String COLUMN_DATA_TYPE

  The column name containing the column's data type.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_TYPE_NAME

    public static final java.lang.String COLUMN_TYPE_NAME

  The column name containing the column's type name.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_PRECISION

    public static final java.lang.String COLUMN_PRECISION

  The column name containing the column's precision.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_LENGTH

    public static final java.lang.String COLUMN_LENGTH

  The column name containing the column's length.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_SCALE

    public static final java.lang.String COLUMN_SCALE

  The column name containing the column's scale.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_NULLABLE

    public static final java.lang.String COLUMN_NULLABLE

  The column name containing the column's nullable attribute.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

### COLUMN_REMARKS

    public static final java.lang.String COLUMN_REMARKS

  The column name containing the column's remarks.

  See Also:
    `java.sql.DatabaseMetaData.getProcedureColumns()`, Constant Field Values

Constructor Detail

### JDBCProcedureColumnLoader

    public JDBCProcedureColumnLoader(ICatalogObject catalogObject)

  This constructs the loader using no filtering.

Parameters:
  `catalogObject` - the Procedure object upon which this loader operates.

### JDBCProcedureColumnLoader

    public JDBCProcedureColumnLoader(ICatalogObject catalogObject,
                                     IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the Procedure object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "column" objects being loaded

Method Detail

### loadColumns

    public java.util.List loadColumns()
                               throws java.sql.SQLException

  Loads the "parameter" objects for the SP. This method uses the result set from createResultSet() to load the "parameter" objects from the server. Row handling for the result set is delegated to processRow(). Parameter objects are created using the factory method, createParameter(). If a result set is returned by the SP, createRoutineResultTable() is used to create the container object, while createColumn() is used to create the columns in the result table. This method should only be overridden as a last resort when the desired behavior cannot be acheived by overriding other methods.

  Returns:
    List of Parameter objects. If a result set is created by this routine, the last element in the list will be a RoutineResultTable object
  Throws:
    `java.sql.SQLException` - if anything goes wrong

### clearColumns

    public void clearColumns(java.util.List columns)

  Parameters:
    `columns` - removes the parameters.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.